<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     mod_videoconnect
 * @category    string
 * @copyright   2021-2024 3ipunt {@link https://www.tresipunt.com}
 * @author     3IPUNT <contacte@tresipunt.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access_token'] = 'Personal Access Token';
$string['client_id'] = 'Client ID';
$string['client_secret'] = 'Client Secret';
$string['completed'] = 'Este vídeo estará disponible para verlo dentro de poco';
$string['deleted'] = 'Este course module ha sido borrado';
$string['discarded'] = 'Este vídeo ha sido descartado por uno nuevo';
$string['error_folder'] = 'Error al mover el video a la carpeta';
$string['error_uploading'] = 'Ha ocurrido un error al subir el vídeo a Vimeo';
$string['error_whitelist'] = 'No se ha actualizado correctamente el whitelist de la privacidad';
$string['filepath_not_found'] = 'No se ha seleccionado ningún vídeo para subir';
$string['folderid'] = 'Folder ID';
$string['folderid_desc'] = "Folder ID donde se alojará el video. Ej: https://vimeo.com/manage/folders/<strong>4206879</strong>";
$string['id_video_missing'] = 'No se ha podido recuperar el ID del video en la respuesta de Vimeo';
$string['idvideo'] = 'ID del vídeo de Vimeo';
$string['idvideo_help'] = 'Ej: https://vimeo.com/<strong>536287845</strong>';
$string['is_authenticated'] = 'Utiliza autenticación';
$string['is_authenticated_desc'] = 'Seleccione esta opción si dispone de un personal access token';
$string['missingidandcmid'] = 'No se encuentra el ID o el CMID en la URL';
$string['modulename'] = 'Video Connect';
$string['modulenameplural'] = 'Video Connects';
$string['not_executed'] = 'Este vídeo estará disponible para verlo dentro de poco';
$string['pluginadministration'] = 'Administración Video Connect';
$string['pluginname'] = 'Video Connect';
$string['scopes'] = 'Scopes';
$string['scopes_desc'] = 'Alcances aceptados';
$string['scopes_not_exist'] = 'No existen scopes configurados en el plugin';
$string['selectvideo'] = 'Selecciona un vídeo';
$string['task_upload_videos'] = 'Tarea para subir vídeos a Vimeo';
$string['uploading'] = 'Este vídeo estará disponible para verlo dentro de poco';
$string['videoconnectname'] = 'Nombre del módulo';
$string['videoconnectname_help'] = 'Seleccione un nombre para este recurso';
$string['vimeoheading'] = 'Vimeo API configuración';
$string['vimeoheadingdesc'] = 'Rellene los siguientes campos con sus credenciales de Vimeo';
$string['we_are_sorry'] = 'Lo sentimos';
$string['whitelist'] = 'Dominio Whitelist';
$string['whitelist_desc'] = "Dominio que queremos incluir a la lista blanca de privacidad. No incluir protocolo 'http://' or 'https://'. Ej: yoursite.test";
